﻿using Hotline.Share.Enums.Snapshot;
using Hotline.Share.Requests;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Utility.EnumExtensions;

namespace Hotline.Share.Dtos.Snapshot;
internal class RedPackRecordDto
{
}
public record SnapshotRedPackRecordItemsInDto : PagedRequest
{
    /// <summary>
    /// 发送状态;
    /// 0: 发送成功;
    /// 1: 发送失败;
    /// 2: 未发送;
    /// 3: 婉拒
    /// </summary>
    public int Status { get; set; }

    /// <summary>
    /// 手机号码
    /// </summary>
    public string? PhoneNumber { get; set; }

    /// <summary>
    /// No
    /// </summary>
    public string? No { get; set; }

    /// <summary>
    /// 增加开始时间
    /// </summary>
    public DateTime? BeginCreationTime { get; set; }

    /// <summary>
    /// 增加结束时间
    /// </summary>
    public DateTime? EndCreationTime { get; set; }
}

public class SnapshotRedPackRecordItemsOutDto
{
    /// <summary>
    /// No
    /// </summary>
    public string No { get; set; }

    /// <summary>
    /// 创建时间
    /// </summary>
    public DateTime? CreationTime { get; set; }

    /// <summary>
    /// PhoneNumber
    /// 手机号
    /// </summary>
    public string PhoneNumber { get; set; }

    /// <summary>
    /// 金额
    /// </summary>
    public double Amount { get; set; }

    /// <summary>
    /// 发放时间
    /// </summary>
    public DateTime ReceiveTime { get; set; }

    /// <summary>
    /// 状态
    /// </summary>
    public EReadPackSendStatus DistributionState { get; set; }

    /// <summary>
    /// 状态
    /// </summary>
    public string DistributionStateTxt => DistributionState.GetDescription();

    /// <summary>
    /// 红包领取状态
    /// </summary>
    public ERedPackPickupStatus PickupStatus { get; set; }

    /// <summary>
    /// 红包领取状态
    /// </summary>
    public string PickupStatusTxt => PickupStatus.GetDescription();

    /// <summary>
    /// 备注
    /// </summary>
    public string Remark { get; set; }
}
